%
%
% Input:
%   X   <- first vector (the vector to filter)
%   F   <- second vector( the filter)
% NOTE: It is assumed that length(X)> length(F)!
%
%   opt <- options to remove "edge-effects" 
%            0 - cut the edges,
%            1 - factorize the data i.e. glue both ends together
%            2 - don't bother
%
% Output:
%  Y   <- the result.
% Usage:
% Y = myconv(X,F,opt)
%
function Y=myconv(X,F,opt)

 if opt==0,
  Y = conv2(X,F,'valid');
 elseif opt==2,
  Y = conv2(X,F);
 elseif opt==1,
  NF = length(F);
  NX = length(X);
   Y = conv2([X(NX-NF+2:NX) X],F,'valid');
 end;
 
