% 
% Performs dwt analysis via the Daubechies wavelets.
% Uses the subroutine "rlistcoefdaub.m" by P. Abry to get a 
% low-pass filters {h(k)}.
%
% Updates: 20.07.2001
%
% Input:
%       x <- data, or approximation coefficients
%  wttype <- dbN, N=number of zero moments, e.g. 'db1' for Haar,
% 'db2', ... etc.
% Output:
%       c <- the new COARSER approximation coefficients
%       d <- the detail coefficients.
%
% Usage:
% [c,d]=mydwt(x,wttype)
%
function [c,d]=mydwt(app,wttype)
 %get the number of zero moments
 s=length(wttype);
 regu=str2num(wttype(3:s));
 h=rlistcoefdaub(regu);
 N = length(app) ;

% taken from "wtspec" of Abry and Vietch
n = length(h);
g = (-1).^(0:-1+n).*fliplr(h) ;
gg = fliplr(g) ;
hh = fliplr(h) ;
% end

cc=conv(hh,app);
dd=conv(gg,app);
c=[];
d=[];
%%%%%%%%%%%%%%%%%%%%%%%%%
% Changed on 20.07.2001 % 
% c=cc(n:2:(N-n+1));
  c=cc(n:2:N);
% d=dd(n:2:(N-n+1));
  d=dd(n:2:N);
% Changed on 20.07.2001 % 
%%%%%%%%%%%%%%%%%%%%%%%%%

if isempty(c)|isempty(d)
   c=app;
   d=[];
end;   
